Subject: Re: ip_tunnel: Remove gratuitous skb scrubbing

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 15 Apr 2015 12:28:46 +0200

Le 15/04/2015 12:22, Herbert Xu a écrit :
> On Wed, Apr 15, 2015 at 12:20:42PM +0200, Nicolas Dichtel wrote:
>> Le 15/04/2015 12:01, Herbert Xu a écrit :
>>> The commit ea23192e8e577dfc51e0f4fc5ca113af334edff9 ("tunnels:
>>> harmonize cleanup done on skb on rx path") broke anyone trying to
>>> use netfilter marking across IPv4 tunnels.  As the commit message
>>> did not give any justification for this (in fact it shouldn't
>>> even be touching the tx path), I can only assume that it was a typo.
>> If I remember well, this was discussed on netdev (CC Eric). The goal of this
>> patch was, like the title said, to hamonize packets processing in tunnels.
>> I'm not against to keep the mark, but I think patching skb_scrub_packet is
>> better. With your patch, ip6tnl, gre6, etc. still drops the mark. And at the
>> end, it's not consistant.
>>
>> What about something like this:
>
> Yes this is better.  I'm currently auditing all the other bits
> that are cleared to see if there is anything else that we should
> preserve for tunneling.
Here is the thread about the mark:
http://thread.gmane.org/gmane.linux.network/246876/focus=274528